58°

Git 2.26.1更新发布,修复使用换行符创建可能的凭据泄漏

由于安全问题,今天发布了Git 2.26.1以及可以追溯到Git 2.17的新版本。

Google零项目团队的成员发现,特制的URL可能会欺骗Git客户端向攻击者的主机发送替代主机的凭据信息。

在这种情况下,特制的URL只需要包含一个换行符(行尾控制字符)就可以欺骗现有Git版本上的凭据处理,从而有可能将数据发送给备用主机。

随着今天对Git的紧急更新,凭证协议代码现在正确地禁止了任何值的换行符。有了此漏洞,虽然如果自己运行Git克隆可能很容易发现伪造的URL,但此漏洞也作为Git子模块处理和依赖于凭据帮助程序的其他操作的一部分而暴露。

此Git凭据问题的跟踪记录为CVE-2020-5260。因此,请更新Git以避免这种潜在的恶意泄漏Git服务器用户凭证的行为。

原文链接:https://www.linuxidc.com/Linux/2020-04/162901.htm

全部评论: 0

    我有话说: